require, "asciilib.i";
require, "graphlib.i";
require, "geolib.i";
require, "climber3a.i";
include, "ncops.i";

//Figure 10, „On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation“
func devn_plot_sens( void )
{
  window, style="notsoflat_yonly.gs";
  fma;
  plfp,
    char([[150,100,50],[250,200,0],[100,100,200],[25,175,50],[200,50,50]]),
    [0,0,-0.49,-0.49,0,0,0.52,0.52,0,0,-2.9,-2.9,0,0,.11,.11,0,0,-2.7,-2.7],
    [.75,2.25,2.25,.75,2.75,4.25,4.25,2.75,4.75,6.25,6.25,4.75,6.75,8.25,8.25,6.75,
     9.75,11.25,11.25,9.75],
    [4,4,4,4,4], edges=1, ewidth=2, ecolor="black";
  
  plt, "continental", 1.5, 1.5, tosys=1, justify="CH";
  plt, "drift", 1.5, 1.25, tosys=1, justify="CH";
  plt, "solar", 3.5, 1.5, tosys=1, justify="CH";
  plt, "constant", 3.5, 1.25, tosys=1, justify="CH";
  plt, "carbon", 5.5, 1.5, tosys=1, justify="CH";
  plt, "dioxide", 5.5, 1.25, tosys=1, justify="CH";
  plt, "vegetation", 7.5, 1.5, tosys=1, justify="CH";
  plt, "distribution", 7.5, 1.25, tosys=1, justify="CH";
  plt, "best guess", 10.5, 1.5, tosys=1, justify="CH";//, font="helveticaB";
  plt, "(all forcings)", 10.5, 1.25, tosys=1, justify="CH";
  
  plt, swrite( format="-0.49%cC", 176 ), 1.5, -0.49-0.2, tosys=1, justify="CH", height=12;
  plt, swrite( format="+0.52%cC", 176 ), 3.5,  0.52+0.2, tosys=1, justify="CH", height=12;
  plt, swrite( format="-2.90%cC", 176 ), 5.5, -2.90-0.2, tosys=1, justify="CH", height=12;
  plt, swrite( format="+0.11%cC", 176 ), 7.5,  0.11+0.2, tosys=1, justify="CH", height=12;
  plt, swrite( format="-2.70%cC", 176 ), 10.5, -2.70-0.2, tosys=1, justify="CH", height=12;
  
  plg, [0,0], [0,12], width=3;
  plg, [-3.5,1.75], [9,9], width=2, type="dot";
  xytitles, "", swrite( format="!DT  (%cC)", 176 );
    
  limits, 0, 12, -3.5, 1.75;

  out = "Plots/all_sensitivity";
  pdf, out;
  png, out, dpi=600;
 

}
