#writes landmask for Devonian continental configurations in .dat file
# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

#getting continent contours
nc_f_360_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/topog.dta.nc'
nc_f_380_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'
nc_f_415_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'

nc_f_cont=[nc_f_360_cont,nc_f_380_cont,nc_f_415_cont]
cont=[360,380,415]
contname=['360','380','415']

for k in range(0,3):
    datacont=nc_f_cont[k]
    nc_fid = Dataset(datacont, 'r') 
    cont_t=nc_fid.variables['dht'][0,:,:]#land ocean mask grid center

    for i in range(0,48):
        for j in range (0,96):
            if cont_t[i,j] == 2500:
                cont_t[i,j]=0
            else:
                cont_t[i,j]=1
            
    tab='\n'
    comment='#'
    filename='ModelOutput_LandMask'+contname[k]+'.dat'
    with file(filename,'w') as outfile:
        outfile.write(comment+'continent contours center'+tab)
        np.savetxt(outfile,cont_t,fmt='%12.3f')
