#This script reads out model data and writes it in .dat file. The output files are then used to generate Fig. 9 in 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'

# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

nc_f_24p5 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O24p5_E0p069_P315_bare_3600s/'

nc_f=[nc_f_24p5]
obl=['24p5']

namedata=[]

for j in range(len(obl)):

    historymom=[]
    datahmom=[]
    historymom=np.append(historymom,nc_f[j]+'/history.nc')
    datahmom=np.append(datahmom,historymom[0])        

    nc_f_hmom=datahmom[0]
    nc_fid_hmom = Dataset(nc_f_hmom, 'r') 
    
    glb_over = np.zeros((3812,25,48))
        
    glb_over[:,:,:] =nc_fid_hmom.variables['glb_over'][0:3812,:,:]#quantity is defined at the grid centers
    
    arraymomh=np.array([glb_over])   
    namesmomh=np.array(['global overturning'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_momh_'+obl[j]+'_3600s.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arraymomh)):
            outfile.write(comment+namesmomh[k]+tab)
            for i in range(0,3812):
                np.savetxt(outfile,arraymomh[k,i],fmt='%12.6f')
